Name:           inetvis
Version:        0.9.3.1
Release:        7%{?dist}
Summary:        3-D scatter-plot visualization for network traffic
Group:          Applications/System
License:        GPLv2
URL:            http://www.cs.ru.ac.za/research/g02v2468/inetvis.html
Source0:        http://www.cs.ru.ac.za/research/g02v2468/inetvis/0.9.3/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1:         %{name}-0.9.3.1-build.patch
Patch2:		%{name}-0.9.3.1-cstdio.patch

BuildRequires:  libX11-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libpcap-devel
BuildRequires:  desktop-file-utils

%if 0%{?fedora} < 9
BuildRequires:  qt-devel
%else
BuildRequires:  qt3-devel
%endif

%description
InetVis is a 3-D scatter-plot visualization for network traffic.
In way, it's more or less like a media player, but for network traffic.
It's quite handy for observing scan activity and other anomolous
traffic patterns.

%prep
%setup -q
%patch1 -p1 -b .build
%patch2 -p1 -b .cstdio

%build
#%%configure
pushd src
qmake 'QMAKE_CFLAGS_RELEASE += -DINETVIS_DOCDIR=\"%{_docdir}/%{name}-%{version}/\"'
make %{?_smp_mflags}
popd
# fix permissions
chmod 644 doc/images/* doc/inetvisdoc.html
chmod 755 doc/ doc/images/

%install
rm -rf %{buildroot}
#setup directories
mkdir -p %{buildroot}/%{_bindir}
install -m 755 src/inetvis %{buildroot}/%{_bindir}/
desktop-file-install --vendor="fedora" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/inetvis
%{_datadir}/applications/fedora-%{name}.desktop
%doc doc/*

%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.1-7
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Daniel Kopecek <dkopecek@redhat.com> - 0.9.3.1-3
- included cstdio where needed

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 12 2008 Lukas Kuklinek <lkukline@redhat.com> 0.9.3.1-1
- initial rpm
- patches to intall to right system paths and build properly


